Bug 1996051 - [SCC] openshift-apiserver degraded when a SCC with high priority is created
Summary: [SCC] openshift-apiserver degraded when a SCC with high priority is created
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.z
Assignee: Sergiusz Urbaniak
QA Contact: Xingxing Xia
URL:
Whiteboard: EmergencyRequest
Depends On: 1996045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 12:32 UTC by Sergiusz Urbaniak
Modified: 2021-09-29 12:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1960680
Environment:
Last Closed: 2021-09-29 12:06:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 469 0 None open [release-4.6] Bug 1996051: bindata: run openshift-apiserver as root explicitly. 2021-09-17 01:01:19 UTC
Red Hat Product Errata RHBA-2021:3643 0 None None None 2021-09-29 12:07:03 UTC

Comment 2 Xingxing Xia 2021-09-22 08:48:05 UTC
Verified in 4.6.0-0.nightly-2021-09-21-161128:
Create above k10-k10 SCC. Then delete one pod under openshift-apiserver project. Check the new created pod, it can be Running.
Then check the YAML of all pods under openshift-apiserver project, they all set 'runAsUser: 0' under container 'openshift-apiserver' and the init container 'fix-audit-permissions'

Comment 5 errata-xmlrpc 2021-09-29 12:06:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.46 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3643


Note You need to log in before you can comment on or make changes to this bug.